%% AnalogInputArray 
% Read data from Robotino's analog input connectors
%% Syntax 
% r = AnalogInputArray( IPADDRESS )
%% Description
% r = AnalogInputArray(IPADDRESS) returns an array of floats representing the voltages read at Robotino's analog input connectors.
%% Example Usage 
% r = AnalogInputArray( '192.168.0.1' );
%
% ain1=r(1);
%% Code
function [ value ] = AnalogInputArray( IPADDRESS )
url = sprintf('http://%s/data/analoginputarray',IPADDRESS);
try
  value = webread(url);
catch ME
  sprintf('Read from %s failed with error %s',url,ME.identifier)
  value = zeros(8,1);
end
end

