%% Camera
% Get image from Robotino's camera
%% Syntax 
% img = Camera( IPADDRESS )
%% Description
% Returns Robotino's camera image. 
%% Example 
% img = Camera( '192.168.0.1' )
%
% imshow(img)
%% Code
function [ img ] = Camera( IPADDRESS )
url = sprintf('http://%s/cam0',IPADDRESS);
try
  img = webread(url);
catch ME
  sprintf('Read from %s failed with error %s',url,ME.identifier)
  img = imread('images/noimageavailable.jpg');
end
end