%% DigitalOutputArray
% Write data to Robotino's digital output connectors
%% Syntax 
% r = DigitalOutputArray( IPADDRESS, values )
%% Description
% r = DigitalOutputArray( IPADDRESS, values ) writes the array values to Robotino's digital output connector.
% r is 1 on success and 0 otherwise.
%% Example Usage 
% values = [1,0,1,1,0,0,0,0]
%
% r = DigitalOutputArray( '192.168.0.1', values )
%% Code
function [ success ] = DigitalOutputArray( IPADDRESS, values )
url = sprintf('http://%s/data/digitaloutputarray',IPADDRESS);
try
  webwrite(url,values);
  success = 1;
catch ME
  sprintf('Write to %s failed with error %s',url,ME.identifier)
  success = 0;
end
end