%% DistanceSensorArray
% Read data from Robotino's distance sensors
%% Syntax 
% r = DistanceSensorArray( IPADDRESS )
%% Description
% r = DistanceSensorArray( IPADDRESS ) returns an array of distances read from Robotino's infrared distance sensors.
%% Example Usage 
% r = DistanceSensorArray( '192.168.0.1' )
%
% ir1=r(1)
%% See also
% <example_matlab_DistanceSensor.html DistanceSensor Example>
%% Code
function [ value ] = DistanceSensorArray( IPADDRESS )
url = sprintf('http://%s/data/distancesensorarray',IPADDRESS);
try
  value = webread(url);
catch ME
  sprintf('Read from %s failed with error %s',url,ME.identifier)
  value = zeros(9,1);
end
end