%% LaserRangeFinder
% Read data from Robotino's laser rangefinder
%% Syntax 
% r = LaserRangeFinder( IPADDRESS )
%% Description
% r = LaserRangeFinder( IPADDRESS )returns laser rangefinder readings
%% Example Usage 
% r = LaserRangeFinder( '192.168.0.1' )
%
% dist=r.ranges(200)
%% Code
function [ value ] = LaserRangeFinder( IPADDRESS )
url = sprintf('http://%s/data/scan0',IPADDRESS);
try
  value = webread(url);
catch ME
  sprintf('Read from %s failed with error %s',url,ME.identifier)
end
end