%% Odometry
% Read data from Robotino's odometry
%% Function 
% r = Odometry( IPADDRESS )
%% Description
% r = Odometry( IPADDRESS ) returns an array with
%
% - x position in meters
%
% - y position in meters
%
% - rotation in radians
%
% - x velocity in m/s
%
% - y velocity in m/s
%
% - rotational velocity in radians/s
%
% - sequence number
%% Example Usage 
% r = Odometry( '192.168.0.1' )
%% Code
function [ value ] = Odometry( IPADDRESS )
url = sprintf('http://%s/data/odometry',IPADDRESS);
try
  value = webread(url);
catch ME
  sprintf('Read from %s failed with error %s',url,ME.identifier)
  value = zeros(7,1);
end
end