%% RelayArray
% Write data to Robotino's relays
%% Syntax 
% r = RelayArray( IPADDRESS, values )
%% Description
% r = RelayArray( IPADDRESS, values ) writes values to Robotino's relays. r is 1 if values have been written successfully. r is 0 otherwise.
%% Example Usage 
% values = [1,0]
%
% r = RelayArray( '192.168.0.1', values )
%% Code
function [ success ] = RelayArray( IPADDRESS, values )
url = sprintf('http://%s/data/relayarray',IPADDRESS);
try
  webwrite(url,values);
  success = 1;
catch ME
  sprintf('Write to %s failed with error %s',url,ME.identifier)
  success = 0;
end
end